%define snapshot 0
%define date 20130523
 
%define qtmajor 5
%define qtminor 2
%define qtsubminor 0
%if %snapshot
%define rel 0.0.%date.3
%else
%define rel 2
%endif
%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qttranslations-%{qtversion}-%date
%else
%define qttarballdir qttranslations-opensource-src-%{qtversion}
%endif

Name: qttranslations5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://download.qt-project.org/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qttools5
BuildArch: noarch
#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Translation files for Qt Project apps.

%files 
%{_qt5_translationdir}

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make

#------------------------------------------------------------------------------

%install
%qmakeinstall_std



%changelog
* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556703
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554387
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547071
- 5.2.0 beta1

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Oct 03 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 490866
- 5.2.0 alpha

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428826
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 428078
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410380
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393991
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392366
- New version 5.0.1 rc1

  + fwang <fwang>
    - use xz

* Wed Jan 23 2013 fwang <fwang> 5.0.0-2.mga3
+ Revision: 391597
- should be noarch package

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 391592
- Qt 5.0.0 FINAL

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-0.beta.17.mga3
+ Revision: 380058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318970
- imported package qttranslations5

